All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
pldap.h File Reference
`#include <ptlib/sockets.h>`
`#include <ptlib/pluginmgr.h>`
`#include <map>`
`#include <list>`

Go to the source code of this file.

## Classes

class | PLDAPSession
| This class will create an LDAP client to access a remote LDAP server. More...
class | PLDAPSession::ModAttrib
class | PLDAPSession::StringModAttrib
class | PLDAPSession::BinaryModAttrib
class | PLDAPSession::SearchContext
class | PLDAPAttributeBase
class | PLDAPStructBase
class | PLDAPSchema
class | PLDAPSchema::Attribute
class | LDAPPluginServiceDescriptor< className >

## Macros

#define | LDAP_Schema(name)
#define | PLDAP_STRUCT_BEGIN(name)
#define | PLDAP_ATTRIBUTE(base, type, attribute, pointer, init)
#define | PLDAP_ATTR_SIMP(base, type, attribute) PLDAP_ATTRIBUTE(base, type, attribute, NULL, ;)
#define | PLDAP_ATTR_INIT(base, type, attribute, init) PLDAP_ATTRIBUTE(base, type, attribute, NULL, instance = init;)
#define | PLDAP_BINATTRIB(base, type, attribute) PLDAP_ATTRIBUTE(base, type, attribute, &((base &)base::GetInitialiser()).attribute, ;)
#define | PLDAP_STRUCT_END() };

## Macro Definition Documentation

#define LDAP_Schema | ( |  | name | ) |

Value:
static LDAPPluginServiceDescriptor<name##_schema> name##_schema_descriptor; \
PCREATE_PLUGIN(name##_schema, PLDAPSchema, &name##_schema_descriptor)
LDAPPluginServiceDescriptor
Definition: pldap.h:554
PCREATE_PLUGIN
#define PCREATE_PLUGIN(serviceName, serviceType, descriptor)
Definition: plugin.h:237
PLDAPSchema
Definition: pldap.h:493

#define PLDAP_ATTR_INIT | ( |  | base,
|  |  | type,
|  |  | attribute,
|  |  | init
| ) |  | PLDAP_ATTRIBUTE(base, type, attribute, NULL, instance = init;)

#define PLDAP_ATTR_SIMP | ( |  | base,
|  |  | type,
|  |  | attribute
| ) |  | PLDAP_ATTRIBUTE(base, type, attribute, NULL, ;)

#define PLDAP_ATTRIBUTE | ( |  | base,
|  |  | type,
|  |  | attribute,
|  |  | pointer,
|  |  | init
| ) |  |

Value:
public: type attribute; \
private: struct PLDAPAttr_##attribute : public PLDAPAttributeBase { \
PLDAPAttr_##attribute() \
: PLDAPAttributeBase(#attribute, pointer, sizeof(type)), \
instance(((base &)base::GetInitialiser()).attribute) \
{ init } \
virtual void PrintOn (ostream & s) const { s << instance; } \
virtual void ReadFrom(istream & s) { s >> instance; } \
virtual void Copy(const PLDAPAttributeBase & other) \
{ instance = ((PLDAPAttr_##attribute &)other).instance; } \
type & instance; \
} pldapvar_##attribute
PObject::ReadFrom
virtual void ReadFrom(istream &strm)
Input the contents of the object from the stream.
PLDAPAttributeBase::PLDAPAttributeBase
PLDAPAttributeBase(const char *name, void *pointer, PINDEX size)
PLDAPAttributeBase
Definition: pldap.h:438
PLDAPAttributeBase::Copy
virtual void Copy(const PLDAPAttributeBase &other)=0
PObject::PrintOn
virtual void PrintOn(ostream &strm) const
Output the contents of the object to the stream.

#define PLDAP_BINATTRIB | ( |  | base,
|  |  | type,
|  |  | attribute
| ) |  | PLDAP_ATTRIBUTE(base, type, attribute, &((base &)base::GetInitialiser()).attribute, ;)

#define PLDAP_STRUCT_BEGIN | ( |  | name | ) |

Value:
class name : public PLDAPStructBase { \
public: name() : PLDAPStructBase() { EndConstructor(); } \
public: name(const name & other) : PLDAPStructBase() { EndConstructor(); operator=(other); } \
public: name(const PStringArray & array) : PLDAPStructBase() { EndConstructor(); operator=(array); } \
public: name(const PStringToString & dict) : PLDAPStructBase() { EndConstructor(); operator=(dict); } \
public: name & operator=(const name & other) { PLDAPStructBase::operator=(other); return *this; } \
public: name & operator=(const PStringArray & array) { PLDAPStructBase::operator=(array); return *this; } \
public: name & operator=(const PStringToString & dict) { PLDAPStructBase::operator=(dict); return *this; } \
PLDAP_ATTR_INIT(name, PString, objectClass, #name);
PStringToString
This is a dictionary collection class of PString objects, keyed by another string.
Definition: pstring.h:2784
PLDAPStructBase::EndConstructor
void EndConstructor()
PStringArray
This is an array collection class of PString objects.
Definition: pstring.h:2024
PLDAP_ATTR_INIT
#define PLDAP_ATTR_INIT(base, type, attribute, init)
Definition: pldap.h:595
PString
The character string class.
Definition: pstring.h:108
PLDAPStructBase::operator=
PLDAPStructBase & operator=(const PLDAPStructBase &)
PLDAPStructBase
Definition: pldap.h:461

#define PLDAP_STRUCT_END | ( |  | ) | };